# coding: utf-8
from celery.schedules import crontab

from concentrator import settings
from concentrator.smev3.base.tasks import Smev3PeriodicAsyncTask
from helpers import get_application_helper


class GetApplicationPeriodicAsyncTask(Smev3PeriodicAsyncTask):
    """Периодическая таска, которая проверяет наличие в клиенте заявок
    с видом сведений message_type, запускает по ним формирование
    и отправку ответа
    """
    message_type = settings.GET_APP_MESSAGE_TYPE
    description = (u'Услуга "Проверить очередность.'
                   u' Сведения о заявке" Concentrator смэв3')

    run_every = crontab(minute=settings.GET_APP_TASK_EVERY_MINUTE,
        hour=settings.GET_APP_TASK_EVERY_HOUR)
    helper_function = get_application_helper
